# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac/trac-0.12.2-r1.ebuild,v 1.1 2011/12/31 20:17:50 idl0r Exp $

EAPI="2"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RPM_VER="1.1"

inherit distutils eutils rpm

DESCRIPTION="opsi pxe configuration service"
HOMEPAGE="http://opsi.org"
LICENSE="GPL-2"
SRC_URI="http://download.opensuse.org/repositories/home:/uibmz:/opsi:/opsi40-testing/openSUSE_12.1/src/${P}-${RPM_VER}.src.rpm"

IUSE=""

KEYWORDS="~amd64 ~arm ~x86"

# doing so because tools, python packages... overlap
SLOT="0"

RDEPEND="dev-python/python-opsi"
DEPEND="${RDEPEND}
	dev-python/setuptools"

RESTRICT_PYTHON_ABIS="3.*"

pkg_setup() {
	python_pkg_setup
}


# the default src_compile just calls setup.py build
# currently, this switches i18n catalog compilation based on presence of Babel

src_install() {
	distutils_src_install

	# project environments might go in here
#	keepdir /var/lib/trac

	# Use this as the egg-cache for tracd
#	dodir /var/lib/trac/egg-cache
#	keepdir /var/lib/trac/egg-cache
#	fowners tracd:tracd /var/lib/trac/egg-cache

	# documentation
#	cp -r contrib "${D}"/usr/share/doc/${P}/

	# tracd init script
#	newconfd "${FILESDIR}"/tracd.confd tracd
#	newinitd "${FILESDIR}"/tracd.initd tracd

}

pkg_postinst() {
	distutils_pkg_postinst
}
